Project

General

Profile

Bug #2988

cannot install gnome on openrc version

alextee - about 2 months ago - . Updated about 2 months ago.

Status:
unconfirmed
Priority:
bug
Assignee:
-
% Done:

0%


Description

I installed parabola openrc using the CLI ISO and the instructions and I can't install gnome:

```
$ sudo pacman -S gnome
[sudo] password for alex:
:: There are 65 members in group gnome:
:: Repository nonsystemd
1) networkmanager
:: Repository libre
2) epiphany 3) file-roller 4) gnome-boxes
:: Repository extra
5) baobab 6) cheese 7) eog 8) evince 9) gdm 10) gedit
11) gnome-backgrounds 12) gnome-books 13) gnome-calculator
14) gnome-calendar 15) gnome-characters 16) gnome-clocks
17) gnome-color-manager 18) gnome-contacts
19) gnome-control-center 20) gnome-disk-utility
21) gnome-documents 22) gnome-font-viewer
23) gnome-getting-started-docs 24) gnome-keyring
25) gnome-logs 26) gnome-maps 27) gnome-menus 28) gnome-music
29) gnome-photos 30) gnome-remote-desktop 31) gnome-screenshot
32) gnome-session 33) gnome-settings-daemon 34) gnome-shell
35) gnome-shell-extensions 36) gnome-system-monitor
37) gnome-terminal 38) gnome-themes-extra 39) gnome-user-docs
40) gnome-user-share 41) gnome-video-effects 42) gnome-weather
43) grilo-plugins 44) gvfs 45) gvfs-afc 46) gvfs-goa
47) gvfs-google 48) gvfs-gphoto2 49) gvfs-mtp 50) gvfs-nfs
51) gvfs-smb 52) mutter 53) nautilus 54) orca 55) rygel
56) sushi 57) totem 58) tracker 59) tracker-miners
60) tracker3 61) tracker3-miners 62) vino
63) xdg-user-dirs-gtk 64) yelp
:: Repository community
65) simple-scan

Enter a selection (default=all):
warning: networkmanager-1.20.6-1.nonsystemd1 is up to date -- reinstalling
warning: epiphany-3.38.1-1.parabola1 is up to date -- reinstalling
warning: file-roller-3.36.2-1.parabola1 is up to date -- reinstalling
warning: gnome-boxes-3.34.3-2.par1 is up to date -- reinstalling
warning: baobab-3.38.0-1 is up to date -- reinstalling
warning: cheese-3.38.0-1 is up to date -- reinstalling
warning: eog-3.38.2-1 is up to date -- reinstalling
warning: evince-3.38.2-1 is up to date -- reinstalling
warning: gdm-3.38.2.1-1 is up to date -- reinstalling
warning: gedit-3.38.1-1 is up to date -- reinstalling
warning: gnome-backgrounds-3.38.0-1 is up to date -- reinstalling
warning: gnome-books-3.34.0+21+g4d34d109-1 is up to date -- reinstalling
warning: gnome-calculator-3.38.2-1 is up to date -- reinstalling
warning: gnome-calendar-3.38.2-1 is up to date -- reinstalling
warning: gnome-characters-3.34.0+9+geeab5f2-1 is up to date -- reinstalling
warning: gnome-clocks-3.38.0-1 is up to date -- reinstalling
warning: gnome-color-manager-3.36.0-1 is up to date -- reinstalling
warning: gnome-contacts-3.38.1-1 is up to date -- reinstalling
warning: gnome-control-center-3.38.4-1 is up to date -- reinstalling
warning: gnome-disk-utility-3.38.2-1 is up to date -- reinstalling
warning: gnome-documents-3.34.0+6+g966b04ec-1 is up to date -- reinstalling
warning: gnome-font-viewer-3.34.0+27+g5ffd1ba-1 is up to date -- reinstalling
warning: gnome-getting-started-docs-3.38.1-1 is up to date -- reinstalling
warning: gnome-keyring-1:3.36.0-3 is up to date -- reinstalling
warning: gnome-maps-3.38.4-1 is up to date -- reinstalling
warning: gnome-menus-3.36.0-1 is up to date -- reinstalling
warning: gnome-music-1:3.38.2-1 is up to date -- reinstalling
warning: gnome-photos-3.38.1-1 is up to date -- reinstalling
warning: gnome-remote-desktop-0.1.9-1 is up to date -- reinstalling
warning: gnome-screenshot-3.38.0-1 is up to date -- reinstalling
warning: gnome-session-3.38.0+14+g87d92fec-1 is up to date -- reinstalling
warning: gnome-settings-daemon-3.38.1-1 is up to date -- reinstalling
warning: gnome-shell-1:3.38.3-1 is up to date -- reinstalling
warning: gnome-shell-extensions-3.38.2-1 is up to date -- reinstalling
warning: gnome-system-monitor-3.38.0-1 is up to date -- reinstalling
warning: gnome-terminal-3.38.3-1 is up to date -- reinstalling
warning: gnome-themes-extra-3.28-2 is up to date -- reinstalling
warning: gnome-user-docs-3.38.2-1 is up to date -- reinstalling
warning: gnome-user-share-3.34.0-2 is up to date -- reinstalling
warning: gnome-video-effects-0.5.0+4+g9554041-2 is up to date -- reinstalling
warning: gnome-weather-3.36.1-1 is up to date -- reinstalling
warning: grilo-plugins-1:0.3.12-2 is up to date -- reinstalling
warning: gvfs-1.46.2-1 is up to date -- reinstalling
warning: gvfs-afc-1.46.2-1 is up to date -- reinstalling
warning: gvfs-goa-1.46.2-1 is up to date -- reinstalling
warning: gvfs-google-1.46.2-1 is up to date -- reinstalling
warning: gvfs-gphoto2-1.46.2-1 is up to date -- reinstalling
warning: gvfs-mtp-1.46.2-1 is up to date -- reinstalling
warning: gvfs-nfs-1.46.2-1 is up to date -- reinstalling
warning: gvfs-smb-1.46.2-1 is up to date -- reinstalling
warning: mutter-3.38.3-1 is up to date -- reinstalling
warning: nautilus-3.38.2-1 is up to date -- reinstalling
warning: orca-3.38.2-1 is up to date -- reinstalling
warning: rygel-1:0.40.1-1 is up to date -- reinstalling
warning: sushi-3.38.0-1 is up to date -- reinstalling
warning: totem-3.38.0-1 is up to date -- reinstalling
warning: tracker-2.3.6-3 is up to date -- reinstalling
warning: tracker-miners-2.3.5-3 is up to date -- reinstalling
warning: tracker3-3.0.3-1 is up to date -- reinstalling
warning: tracker3-miners-3.0.4-1 is up to date -- reinstalling
warning: vino-3.22.0+72+g3fe1f12-1 is up to date -- reinstalling
warning: xdg-user-dirs-gtk-0.10+9+g5b7efc6-3 is up to date -- reinstalling
warning: yelp-3.38.3-1 is up to date -- reinstalling
warning: simple-scan-3.38.2-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...
:: gnome-logs and your-initfreedom are in conflict. Remove your-initfreedom? [y/N]
```

however, I managed to install every package mentioned above except gnome-logs and it generally works. maybe make a gnome-openrc group with everything but the gnome-logs? I'm not sure what gnome-logs is supposed to do

History

#1

Updated by telur about 2 months ago

gnome logs uses systemd infrastructure, so it is blacklisted in nonsystemd repo (openrc)

basicaly there is no much difference between gnome sytemd and openrc aside from low level unrelated to regular user things

in parabola gnome is known to be broken if you enabled nonprism repo or installing your-privacy package
https://labs.parabola.nu/boards/5/topics/776

#2

Updated by bill-auger about 2 months ago

however, I managed to install every package mentioned above except gnome-logs

in case you did not know, there is a simple way to do that

# pacman -S gnome --assume-installed=gnome-logs

#3

Updated by alextee about 2 months ago

bill-auger wrote:

however, I managed to install every package mentioned above except gnome-logs

in case you did not know, there is a simple way to do that
[...]

neat! thanks

Also available in: Atom PDF